Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
20.64.0.0
Broadcast address
20.95.255.255
First usable
20.64.0.1
Last usable
20.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 14400000 · Integer 339738624 to 341835775
Reverse DNS zones
64.20.in-addr.arpa
65.20.in-addr.arpa
66.20.in-addr.arpa
67.20.in-addr.arpa
68.20.in-addr.arpa
69.20.in-addr.arpa
70.20.in-addr.arpa
71.20.in-addr.arpa
72.20.in-addr.arpa
73.20.in-addr.arpa
74.20.in-addr.arpa
75.20.in-addr.arpa
76.20.in-addr.arpa
77.20.in-addr.arpa
78.20.in-addr.arpa
79.20.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100.01000000.00000000.0000000020.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010100.01000000.00000000.0000000020.64.0.0
Broadcast00010100.01011111.11111111.1111111120.95.255.255
Split into smaller subnets/22

20.64.0.0/11 makes 2,048 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.64.0.0/2220.64.0.1 to 20.64.3.25420.64.3.2551,022
220.64.4.0/2220.64.4.1 to 20.64.7.25420.64.7.2551,022
320.64.8.0/2220.64.8.1 to 20.64.11.25420.64.11.2551,022
420.64.12.0/2220.64.12.1 to 20.64.15.25420.64.15.2551,022
520.64.16.0/2220.64.16.1 to 20.64.19.25420.64.19.2551,022
620.64.20.0/2220.64.20.1 to 20.64.23.25420.64.23.2551,022
720.64.24.0/2220.64.24.1 to 20.64.27.25420.64.27.2551,022
820.64.28.0/2220.64.28.1 to 20.64.31.25420.64.31.2551,022
920.64.32.0/2220.64.32.1 to 20.64.35.25420.64.35.2551,022
1020.64.36.0/2220.64.36.1 to 20.64.39.25420.64.39.2551,022
1120.64.40.0/2220.64.40.1 to 20.64.43.25420.64.43.2551,022
1220.64.44.0/2220.64.44.1 to 20.64.47.25420.64.47.2551,022
1320.64.48.0/2220.64.48.1 to 20.64.51.25420.64.51.2551,022
1420.64.52.0/2220.64.52.1 to 20.64.55.25420.64.55.2551,022
1520.64.56.0/2220.64.56.1 to 20.64.59.25420.64.59.2551,022
1620.64.60.0/2220.64.60.1 to 20.64.63.25420.64.63.2551,022
1720.64.64.0/2220.64.64.1 to 20.64.67.25420.64.67.2551,022
1820.64.68.0/2220.64.68.1 to 20.64.71.25420.64.71.2551,022
1920.64.72.0/2220.64.72.1 to 20.64.75.25420.64.75.2551,022
2020.64.76.0/2220.64.76.1 to 20.64.79.25420.64.79.2551,022
2120.64.80.0/2220.64.80.1 to 20.64.83.25420.64.83.2551,022
2220.64.84.0/2220.64.84.1 to 20.64.87.25420.64.87.2551,022
2320.64.88.0/2220.64.88.1 to 20.64.91.25420.64.91.2551,022
2420.64.92.0/2220.64.92.1 to 20.64.95.25420.64.95.2551,022
2520.64.96.0/2220.64.96.1 to 20.64.99.25420.64.99.2551,022
2620.64.100.0/2220.64.100.1 to 20.64.103.25420.64.103.2551,022
2720.64.104.0/2220.64.104.1 to 20.64.107.25420.64.107.2551,022
2820.64.108.0/2220.64.108.1 to 20.64.111.25420.64.111.2551,022
2920.64.112.0/2220.64.112.1 to 20.64.115.25420.64.115.2551,022
3020.64.116.0/2220.64.116.1 to 20.64.119.25420.64.119.2551,022
3120.64.120.0/2220.64.120.1 to 20.64.123.25420.64.123.2551,022
3220.64.124.0/2220.64.124.1 to 20.64.127.25420.64.127.2551,022
3320.64.128.0/2220.64.128.1 to 20.64.131.25420.64.131.2551,022
3420.64.132.0/2220.64.132.1 to 20.64.135.25420.64.135.2551,022
3520.64.136.0/2220.64.136.1 to 20.64.139.25420.64.139.2551,022
3620.64.140.0/2220.64.140.1 to 20.64.143.25420.64.143.2551,022
3720.64.144.0/2220.64.144.1 to 20.64.147.25420.64.147.2551,022
3820.64.148.0/2220.64.148.1 to 20.64.151.25420.64.151.2551,022
3920.64.152.0/2220.64.152.1 to 20.64.155.25420.64.155.2551,022
4020.64.156.0/2220.64.156.1 to 20.64.159.25420.64.159.2551,022
4120.64.160.0/2220.64.160.1 to 20.64.163.25420.64.163.2551,022
4220.64.164.0/2220.64.164.1 to 20.64.167.25420.64.167.2551,022
4320.64.168.0/2220.64.168.1 to 20.64.171.25420.64.171.2551,022
4420.64.172.0/2220.64.172.1 to 20.64.175.25420.64.175.2551,022
4520.64.176.0/2220.64.176.1 to 20.64.179.25420.64.179.2551,022
4620.64.180.0/2220.64.180.1 to 20.64.183.25420.64.183.2551,022
4720.64.184.0/2220.64.184.1 to 20.64.187.25420.64.187.2551,022
4820.64.188.0/2220.64.188.1 to 20.64.191.25420.64.191.2551,022
4920.64.192.0/2220.64.192.1 to 20.64.195.25420.64.195.2551,022
5020.64.196.0/2220.64.196.1 to 20.64.199.25420.64.199.2551,022
5120.64.200.0/2220.64.200.1 to 20.64.203.25420.64.203.2551,022
5220.64.204.0/2220.64.204.1 to 20.64.207.25420.64.207.2551,022
5320.64.208.0/2220.64.208.1 to 20.64.211.25420.64.211.2551,022
5420.64.212.0/2220.64.212.1 to 20.64.215.25420.64.215.2551,022
5520.64.216.0/2220.64.216.1 to 20.64.219.25420.64.219.2551,022
5620.64.220.0/2220.64.220.1 to 20.64.223.25420.64.223.2551,022
5720.64.224.0/2220.64.224.1 to 20.64.227.25420.64.227.2551,022
5820.64.228.0/2220.64.228.1 to 20.64.231.25420.64.231.2551,022
5920.64.232.0/2220.64.232.1 to 20.64.235.25420.64.235.2551,022
6020.64.236.0/2220.64.236.1 to 20.64.239.25420.64.239.2551,022
6120.64.240.0/2220.64.240.1 to 20.64.243.25420.64.243.2551,022
6220.64.244.0/2220.64.244.1 to 20.64.247.25420.64.247.2551,022
6320.64.248.0/2220.64.248.1 to 20.64.251.25420.64.251.2551,022
6420.64.252.0/2220.64.252.1 to 20.64.255.25420.64.255.2551,022
6520.65.0.0/2220.65.0.1 to 20.65.3.25420.65.3.2551,022
6620.65.4.0/2220.65.4.1 to 20.65.7.25420.65.7.2551,022
6720.65.8.0/2220.65.8.1 to 20.65.11.25420.65.11.2551,022
6820.65.12.0/2220.65.12.1 to 20.65.15.25420.65.15.2551,022
6920.65.16.0/2220.65.16.1 to 20.65.19.25420.65.19.2551,022
7020.65.20.0/2220.65.20.1 to 20.65.23.25420.65.23.2551,022
7120.65.24.0/2220.65.24.1 to 20.65.27.25420.65.27.2551,022
7220.65.28.0/2220.65.28.1 to 20.65.31.25420.65.31.2551,022
7320.65.32.0/2220.65.32.1 to 20.65.35.25420.65.35.2551,022
7420.65.36.0/2220.65.36.1 to 20.65.39.25420.65.39.2551,022
7520.65.40.0/2220.65.40.1 to 20.65.43.25420.65.43.2551,022
7620.65.44.0/2220.65.44.1 to 20.65.47.25420.65.47.2551,022
7720.65.48.0/2220.65.48.1 to 20.65.51.25420.65.51.2551,022
7820.65.52.0/2220.65.52.1 to 20.65.55.25420.65.55.2551,022
7920.65.56.0/2220.65.56.1 to 20.65.59.25420.65.59.2551,022
8020.65.60.0/2220.65.60.1 to 20.65.63.25420.65.63.2551,022
8120.65.64.0/2220.65.64.1 to 20.65.67.25420.65.67.2551,022
8220.65.68.0/2220.65.68.1 to 20.65.71.25420.65.71.2551,022
8320.65.72.0/2220.65.72.1 to 20.65.75.25420.65.75.2551,022
8420.65.76.0/2220.65.76.1 to 20.65.79.25420.65.79.2551,022
8520.65.80.0/2220.65.80.1 to 20.65.83.25420.65.83.2551,022
8620.65.84.0/2220.65.84.1 to 20.65.87.25420.65.87.2551,022
8720.65.88.0/2220.65.88.1 to 20.65.91.25420.65.91.2551,022
8820.65.92.0/2220.65.92.1 to 20.65.95.25420.65.95.2551,022
8920.65.96.0/2220.65.96.1 to 20.65.99.25420.65.99.2551,022
9020.65.100.0/2220.65.100.1 to 20.65.103.25420.65.103.2551,022
9120.65.104.0/2220.65.104.1 to 20.65.107.25420.65.107.2551,022
9220.65.108.0/2220.65.108.1 to 20.65.111.25420.65.111.2551,022
9320.65.112.0/2220.65.112.1 to 20.65.115.25420.65.115.2551,022
9420.65.116.0/2220.65.116.1 to 20.65.119.25420.65.119.2551,022
9520.65.120.0/2220.65.120.1 to 20.65.123.25420.65.123.2551,022
9620.65.124.0/2220.65.124.1 to 20.65.127.25420.65.127.2551,022
9720.65.128.0/2220.65.128.1 to 20.65.131.25420.65.131.2551,022
9820.65.132.0/2220.65.132.1 to 20.65.135.25420.65.135.2551,022
9920.65.136.0/2220.65.136.1 to 20.65.139.25420.65.139.2551,022
10020.65.140.0/2220.65.140.1 to 20.65.143.25420.65.143.2551,022
10120.65.144.0/2220.65.144.1 to 20.65.147.25420.65.147.2551,022
10220.65.148.0/2220.65.148.1 to 20.65.151.25420.65.151.2551,022
10320.65.152.0/2220.65.152.1 to 20.65.155.25420.65.155.2551,022
10420.65.156.0/2220.65.156.1 to 20.65.159.25420.65.159.2551,022
10520.65.160.0/2220.65.160.1 to 20.65.163.25420.65.163.2551,022
10620.65.164.0/2220.65.164.1 to 20.65.167.25420.65.167.2551,022
10720.65.168.0/2220.65.168.1 to 20.65.171.25420.65.171.2551,022
10820.65.172.0/2220.65.172.1 to 20.65.175.25420.65.175.2551,022
10920.65.176.0/2220.65.176.1 to 20.65.179.25420.65.179.2551,022
11020.65.180.0/2220.65.180.1 to 20.65.183.25420.65.183.2551,022
11120.65.184.0/2220.65.184.1 to 20.65.187.25420.65.187.2551,022
11220.65.188.0/2220.65.188.1 to 20.65.191.25420.65.191.2551,022
11320.65.192.0/2220.65.192.1 to 20.65.195.25420.65.195.2551,022
11420.65.196.0/2220.65.196.1 to 20.65.199.25420.65.199.2551,022
11520.65.200.0/2220.65.200.1 to 20.65.203.25420.65.203.2551,022
11620.65.204.0/2220.65.204.1 to 20.65.207.25420.65.207.2551,022
11720.65.208.0/2220.65.208.1 to 20.65.211.25420.65.211.2551,022
11820.65.212.0/2220.65.212.1 to 20.65.215.25420.65.215.2551,022
11920.65.216.0/2220.65.216.1 to 20.65.219.25420.65.219.2551,022
12020.65.220.0/2220.65.220.1 to 20.65.223.25420.65.223.2551,022
12120.65.224.0/2220.65.224.1 to 20.65.227.25420.65.227.2551,022
12220.65.228.0/2220.65.228.1 to 20.65.231.25420.65.231.2551,022
12320.65.232.0/2220.65.232.1 to 20.65.235.25420.65.235.2551,022
12420.65.236.0/2220.65.236.1 to 20.65.239.25420.65.239.2551,022
12520.65.240.0/2220.65.240.1 to 20.65.243.25420.65.243.2551,022
12620.65.244.0/2220.65.244.1 to 20.65.247.25420.65.247.2551,022
12720.65.248.0/2220.65.248.1 to 20.65.251.25420.65.251.2551,022
12820.65.252.0/2220.65.252.1 to 20.65.255.25420.65.255.2551,022
12920.66.0.0/2220.66.0.1 to 20.66.3.25420.66.3.2551,022
13020.66.4.0/2220.66.4.1 to 20.66.7.25420.66.7.2551,022
13120.66.8.0/2220.66.8.1 to 20.66.11.25420.66.11.2551,022
13220.66.12.0/2220.66.12.1 to 20.66.15.25420.66.15.2551,022
13320.66.16.0/2220.66.16.1 to 20.66.19.25420.66.19.2551,022
13420.66.20.0/2220.66.20.1 to 20.66.23.25420.66.23.2551,022
13520.66.24.0/2220.66.24.1 to 20.66.27.25420.66.27.2551,022
13620.66.28.0/2220.66.28.1 to 20.66.31.25420.66.31.2551,022
13720.66.32.0/2220.66.32.1 to 20.66.35.25420.66.35.2551,022
13820.66.36.0/2220.66.36.1 to 20.66.39.25420.66.39.2551,022
13920.66.40.0/2220.66.40.1 to 20.66.43.25420.66.43.2551,022
14020.66.44.0/2220.66.44.1 to 20.66.47.25420.66.47.2551,022
14120.66.48.0/2220.66.48.1 to 20.66.51.25420.66.51.2551,022
14220.66.52.0/2220.66.52.1 to 20.66.55.25420.66.55.2551,022
14320.66.56.0/2220.66.56.1 to 20.66.59.25420.66.59.2551,022
14420.66.60.0/2220.66.60.1 to 20.66.63.25420.66.63.2551,022
14520.66.64.0/2220.66.64.1 to 20.66.67.25420.66.67.2551,022
14620.66.68.0/2220.66.68.1 to 20.66.71.25420.66.71.2551,022
14720.66.72.0/2220.66.72.1 to 20.66.75.25420.66.75.2551,022
14820.66.76.0/2220.66.76.1 to 20.66.79.25420.66.79.2551,022
14920.66.80.0/2220.66.80.1 to 20.66.83.25420.66.83.2551,022
15020.66.84.0/2220.66.84.1 to 20.66.87.25420.66.87.2551,022
15120.66.88.0/2220.66.88.1 to 20.66.91.25420.66.91.2551,022
15220.66.92.0/2220.66.92.1 to 20.66.95.25420.66.95.2551,022
15320.66.96.0/2220.66.96.1 to 20.66.99.25420.66.99.2551,022
15420.66.100.0/2220.66.100.1 to 20.66.103.25420.66.103.2551,022
15520.66.104.0/2220.66.104.1 to 20.66.107.25420.66.107.2551,022
15620.66.108.0/2220.66.108.1 to 20.66.111.25420.66.111.2551,022
15720.66.112.0/2220.66.112.1 to 20.66.115.25420.66.115.2551,022
15820.66.116.0/2220.66.116.1 to 20.66.119.25420.66.119.2551,022
15920.66.120.0/2220.66.120.1 to 20.66.123.25420.66.123.2551,022
16020.66.124.0/2220.66.124.1 to 20.66.127.25420.66.127.2551,022
16120.66.128.0/2220.66.128.1 to 20.66.131.25420.66.131.2551,022
16220.66.132.0/2220.66.132.1 to 20.66.135.25420.66.135.2551,022
16320.66.136.0/2220.66.136.1 to 20.66.139.25420.66.139.2551,022
16420.66.140.0/2220.66.140.1 to 20.66.143.25420.66.143.2551,022
16520.66.144.0/2220.66.144.1 to 20.66.147.25420.66.147.2551,022
16620.66.148.0/2220.66.148.1 to 20.66.151.25420.66.151.2551,022
16720.66.152.0/2220.66.152.1 to 20.66.155.25420.66.155.2551,022
16820.66.156.0/2220.66.156.1 to 20.66.159.25420.66.159.2551,022
16920.66.160.0/2220.66.160.1 to 20.66.163.25420.66.163.2551,022
17020.66.164.0/2220.66.164.1 to 20.66.167.25420.66.167.2551,022
17120.66.168.0/2220.66.168.1 to 20.66.171.25420.66.171.2551,022
17220.66.172.0/2220.66.172.1 to 20.66.175.25420.66.175.2551,022
17320.66.176.0/2220.66.176.1 to 20.66.179.25420.66.179.2551,022
17420.66.180.0/2220.66.180.1 to 20.66.183.25420.66.183.2551,022
17520.66.184.0/2220.66.184.1 to 20.66.187.25420.66.187.2551,022
17620.66.188.0/2220.66.188.1 to 20.66.191.25420.66.191.2551,022
17720.66.192.0/2220.66.192.1 to 20.66.195.25420.66.195.2551,022
17820.66.196.0/2220.66.196.1 to 20.66.199.25420.66.199.2551,022
17920.66.200.0/2220.66.200.1 to 20.66.203.25420.66.203.2551,022
18020.66.204.0/2220.66.204.1 to 20.66.207.25420.66.207.2551,022
18120.66.208.0/2220.66.208.1 to 20.66.211.25420.66.211.2551,022
18220.66.212.0/2220.66.212.1 to 20.66.215.25420.66.215.2551,022
18320.66.216.0/2220.66.216.1 to 20.66.219.25420.66.219.2551,022
18420.66.220.0/2220.66.220.1 to 20.66.223.25420.66.223.2551,022
18520.66.224.0/2220.66.224.1 to 20.66.227.25420.66.227.2551,022
18620.66.228.0/2220.66.228.1 to 20.66.231.25420.66.231.2551,022
18720.66.232.0/2220.66.232.1 to 20.66.235.25420.66.235.2551,022
18820.66.236.0/2220.66.236.1 to 20.66.239.25420.66.239.2551,022
18920.66.240.0/2220.66.240.1 to 20.66.243.25420.66.243.2551,022
19020.66.244.0/2220.66.244.1 to 20.66.247.25420.66.247.2551,022
19120.66.248.0/2220.66.248.1 to 20.66.251.25420.66.251.2551,022
19220.66.252.0/2220.66.252.1 to 20.66.255.25420.66.255.2551,022
19320.67.0.0/2220.67.0.1 to 20.67.3.25420.67.3.2551,022
19420.67.4.0/2220.67.4.1 to 20.67.7.25420.67.7.2551,022
19520.67.8.0/2220.67.8.1 to 20.67.11.25420.67.11.2551,022
19620.67.12.0/2220.67.12.1 to 20.67.15.25420.67.15.2551,022
19720.67.16.0/2220.67.16.1 to 20.67.19.25420.67.19.2551,022
19820.67.20.0/2220.67.20.1 to 20.67.23.25420.67.23.2551,022
19920.67.24.0/2220.67.24.1 to 20.67.27.25420.67.27.2551,022
20020.67.28.0/2220.67.28.1 to 20.67.31.25420.67.31.2551,022
20120.67.32.0/2220.67.32.1 to 20.67.35.25420.67.35.2551,022
20220.67.36.0/2220.67.36.1 to 20.67.39.25420.67.39.2551,022
20320.67.40.0/2220.67.40.1 to 20.67.43.25420.67.43.2551,022
20420.67.44.0/2220.67.44.1 to 20.67.47.25420.67.47.2551,022
20520.67.48.0/2220.67.48.1 to 20.67.51.25420.67.51.2551,022
20620.67.52.0/2220.67.52.1 to 20.67.55.25420.67.55.2551,022
20720.67.56.0/2220.67.56.1 to 20.67.59.25420.67.59.2551,022
20820.67.60.0/2220.67.60.1 to 20.67.63.25420.67.63.2551,022
20920.67.64.0/2220.67.64.1 to 20.67.67.25420.67.67.2551,022
21020.67.68.0/2220.67.68.1 to 20.67.71.25420.67.71.2551,022
21120.67.72.0/2220.67.72.1 to 20.67.75.25420.67.75.2551,022
21220.67.76.0/2220.67.76.1 to 20.67.79.25420.67.79.2551,022
21320.67.80.0/2220.67.80.1 to 20.67.83.25420.67.83.2551,022
21420.67.84.0/2220.67.84.1 to 20.67.87.25420.67.87.2551,022
21520.67.88.0/2220.67.88.1 to 20.67.91.25420.67.91.2551,022
21620.67.92.0/2220.67.92.1 to 20.67.95.25420.67.95.2551,022
21720.67.96.0/2220.67.96.1 to 20.67.99.25420.67.99.2551,022
21820.67.100.0/2220.67.100.1 to 20.67.103.25420.67.103.2551,022
21920.67.104.0/2220.67.104.1 to 20.67.107.25420.67.107.2551,022
22020.67.108.0/2220.67.108.1 to 20.67.111.25420.67.111.2551,022
22120.67.112.0/2220.67.112.1 to 20.67.115.25420.67.115.2551,022
22220.67.116.0/2220.67.116.1 to 20.67.119.25420.67.119.2551,022
22320.67.120.0/2220.67.120.1 to 20.67.123.25420.67.123.2551,022
22420.67.124.0/2220.67.124.1 to 20.67.127.25420.67.127.2551,022
22520.67.128.0/2220.67.128.1 to 20.67.131.25420.67.131.2551,022
22620.67.132.0/2220.67.132.1 to 20.67.135.25420.67.135.2551,022
22720.67.136.0/2220.67.136.1 to 20.67.139.25420.67.139.2551,022
22820.67.140.0/2220.67.140.1 to 20.67.143.25420.67.143.2551,022
22920.67.144.0/2220.67.144.1 to 20.67.147.25420.67.147.2551,022
23020.67.148.0/2220.67.148.1 to 20.67.151.25420.67.151.2551,022
23120.67.152.0/2220.67.152.1 to 20.67.155.25420.67.155.2551,022
23220.67.156.0/2220.67.156.1 to 20.67.159.25420.67.159.2551,022
23320.67.160.0/2220.67.160.1 to 20.67.163.25420.67.163.2551,022
23420.67.164.0/2220.67.164.1 to 20.67.167.25420.67.167.2551,022
23520.67.168.0/2220.67.168.1 to 20.67.171.25420.67.171.2551,022
23620.67.172.0/2220.67.172.1 to 20.67.175.25420.67.175.2551,022
23720.67.176.0/2220.67.176.1 to 20.67.179.25420.67.179.2551,022
23820.67.180.0/2220.67.180.1 to 20.67.183.25420.67.183.2551,022
23920.67.184.0/2220.67.184.1 to 20.67.187.25420.67.187.2551,022
24020.67.188.0/2220.67.188.1 to 20.67.191.25420.67.191.2551,022
24120.67.192.0/2220.67.192.1 to 20.67.195.25420.67.195.2551,022
24220.67.196.0/2220.67.196.1 to 20.67.199.25420.67.199.2551,022
24320.67.200.0/2220.67.200.1 to 20.67.203.25420.67.203.2551,022
24420.67.204.0/2220.67.204.1 to 20.67.207.25420.67.207.2551,022
24520.67.208.0/2220.67.208.1 to 20.67.211.25420.67.211.2551,022
24620.67.212.0/2220.67.212.1 to 20.67.215.25420.67.215.2551,022
24720.67.216.0/2220.67.216.1 to 20.67.219.25420.67.219.2551,022
24820.67.220.0/2220.67.220.1 to 20.67.223.25420.67.223.2551,022
24920.67.224.0/2220.67.224.1 to 20.67.227.25420.67.227.2551,022
25020.67.228.0/2220.67.228.1 to 20.67.231.25420.67.231.2551,022
25120.67.232.0/2220.67.232.1 to 20.67.235.25420.67.235.2551,022
25220.67.236.0/2220.67.236.1 to 20.67.239.25420.67.239.2551,022
25320.67.240.0/2220.67.240.1 to 20.67.243.25420.67.243.2551,022
25420.67.244.0/2220.67.244.1 to 20.67.247.25420.67.247.2551,022
25520.67.248.0/2220.67.248.1 to 20.67.251.25420.67.251.2551,022
25620.67.252.0/2220.67.252.1 to 20.67.255.25420.67.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses